GCLOUD_DATAPROC_JOBS_UPDATE(1)

NAME

gcloud dataproc jobs update - update the labels for a job

SYNOPSIS

gcloud dataproc jobs update JOB_ID [--remove-labels=[KEY,...]] [--update-labels=[KEY=VALUE,...]] [GLOBAL-FLAG ...]

DESCRIPTION
Update the labels for a job.

POSITIONAL ARGUMENTS

    JOB_ID
        The ID of the job to describe.

FLAGS

    --remove-labels=[KEY,...]
        A list of label keys to remove. If a label does not exist it is silently ignored.

    --update-labels=[KEY=VALUE,...]
        A list of label KEY=VALUE pairs to update. If a label exists its value is modified, otherwise a new label is created.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To add the label 'customer=acme' to a job , run:
    $ gcloud dataproc jobs update job_id --update-labels=customer=acme
To update the label 'customer=ackme' to 'customer=acme', run:
    $ gcloud dataproc jobs update job_id --update-labels=customer=acme
To remove the label whose key is 'customer', run:
    $ gcloud dataproc jobs update job_id --remove-labels=customer